; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEST:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_TEST_SCHLEIFE
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_TEST_SCHLEIFE
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_TEST_SCHLEIFE
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_TEST_SCHLEIFE
ret
;-------------------------------------------------------------------------------
ANZEIGE_TEST_SCHLEIFE:
	ldi temp1,20
ANZEIGE_TEST_s:
	ldi temp,255
	rcall LCD_DATA_TEMP
	dec temp1	
	brne ANZEIGE_TEST_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG_4_ZEILEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall ANZEIGE_TEXT
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_HAUPTMENUE:
	; ZEILE1	
	rcall LCD_ZEILE1
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	rcall LCD_SPACE3				; 3
	rcall ANZEIGE_TP_TA_KURZ		; 2
	rcall LCD_SPACE2				; 2
	rcall ANZEIGE_RDS_ZEIT_KURZ		; 5

	; Umschaltung	
	sbrc SEKUNDE,3
	rjmp ANZEIGE_HAUPTMENUE_B
;-------------------------------------------------------------------------------
ANZEIGE_HAUPTMENUE_A:
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+0)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+0)
	ldi temp1,20
	rcall ANZEIGE_SRAM_Z_TEMP1
	rcall wait_100ms
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+20)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+20)
	ldi temp1,20
	rcall ANZEIGE_SRAM_Z_TEMP1
	rcall wait_100ms
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+40)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+40)
	ldi temp1,20
	rjmp ANZEIGE_SRAM_Z_TEMP1
;-------------------------------------------------------------------------------
ANZEIGE_HAUPTMENUE_B:
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+64)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+64)
	ldi temp1,20
	rcall ANZEIGE_SRAM_Z_TEMP1
	rcall wait_100ms
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+84)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+84)
	ldi temp1,20
	rcall ANZEIGE_SRAM_Z_TEMP1
	rcall wait_100ms
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+104)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+104)
	ldi temp1,20
	rjmp ANZEIGE_SRAM_Z_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT_SEITE_A:
	; ZEILE1	
	rcall LCD_ZEILE1
	rcall ANZEIGE_RADIOTEXT1_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_RADIOTEXT2_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_RADIOTEXT3_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rjmp ANZEIGE_RADIOTEXT4_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT_SEITE_B:
	; ZEILE1	
	rcall LCD_ZEILE1
	rcall ANZEIGE_RADIOTEXT5_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_RADIOTEXT6_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_RADIOTEXT7_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rjmp ANZEIGE_RADIOTEXT8_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR:
	LDS temp,(adr_ERROR_CODE)
	tst temp
	brne ANZEIGE_ERROR_RUN
	ret
ANZEIGE_ERROR_RUN:
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  an	
	rcall wait_1s
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'E'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	ldi temp,'o'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_STATISTIK:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall LCD_O
	rcall LCD_K
	rcall LCD_DOPPELPUNKT_SPACE
	LDS temp1,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_L)
	LDS temp2,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_H)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	rcall LCD_SPACE


	rcall LCD_E
	ldi temp,'R'
	rcall LCD_DATA_TEMP
	rcall LCD_DOPPELPUNKT_SPACE
	LDS temp1,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_ERROR_L)
	LDS temp2,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_ERROR_H)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE2	
	rcall LCD_ZEILE2

	; ZEILE3		
	rcall LCD_ZEILE3
	; ZEILE4		
	rcall LCD_ZEILE4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_FREQUENZ:
	; ZEILE1	
	;rcall LCD_CLEAR
	rcall LCD_ZEILE1
	ldi ZH, high(TEXT_PILOTFREQUENZ*2)	; TEXT 
	ldi ZL,  low(TEXT_PILOTFREQUENZ*2)
	rcall ANZEIGE_TEXT

	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_FREQUENZA_0)
	LDS temp2,(adr_FREQUENZA_1)
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASC_32
	mov temp, temp5			; 5.STELLE	
	rcall LCD_DATA_TEMP
	mov temp, temp4			; 4.STELLE	
	rcall LCD_DATA_TEMP	
	rcall LCD_PUNKT			; "."		
	mov temp, temp3			; 3.STELLE	
	rcall LCD_DATA_TEMP
	mov temp, temp2			; 2.STELLE	
	rcall LCD_DATA_TEMP	
	mov temp, temp1			; 1.STELLE	
	rcall LCD_DATA_TEMP

	rcall LCD_SPACE4
	ldi temp, 'H'
	rcall LCD_DATA_TEMP
	ldi temp, 'z'
	rcall LCD_DATA_TEMP
	; ZEILE3		
	rcall LCD_ZEILE3
	LDS temp1,(adr_FREQUENZB_0)
	LDS temp2,(adr_FREQUENZB_1)
	LDS temp3,(adr_FREQUENZB_2)
	clr temp4
	rcall FUNKTION_HEX_ASC_32

	mov temp, temp6			; 6.STELLE	
	rcall LCD_DATA_TEMP
	mov temp, temp5			; 5.STELLE	
	rcall LCD_DATA_TEMP
	rcall LCD_PUNKT			; "."		
	mov temp, temp4			; 4.STELLE	
	rcall LCD_DATA_TEMP	
	mov temp, temp3			; 3.STELLE	
	rcall LCD_DATA_TEMP
	mov temp, temp2			; 2.STELLE	
	rcall LCD_DATA_TEMP	
	rcall LCD_KOMMA			; ","		
	mov temp, temp1			; 1.STELLE	
	rcall LCD_DATA_TEMP

	rcall LCD_SPACE2
	ldi temp, 'H'
	rcall LCD_DATA_TEMP
	ldi temp, 'z'
	rcall LCD_DATA_TEMP

	rcall LCD_SPACE4
	LDS temp1,(adr_FREQUENZB_ZAEHLER)
	rcall ANZEIGE_3_STELLEN_TEMP1

	; ZEILE4		
	rcall LCD_ZEILE4
	LDS temp1,(adr_FREQUENZC_0)
	LDS temp2,(adr_FREQUENZC_1)
	LDS temp3,(adr_FREQUENZC_2)
	clr temp4
	rcall FUNKTION_HEX_ASC_32

	mov temp, temp7			; 7.STELLE	
	rcall LCD_DATA_TEMP	
	mov temp, temp6			; 6.STELLE	
	rcall LCD_DATA_TEMP
	rcall LCD_PUNKT			; "."		
	mov temp, temp5			; 5.STELLE	
	rcall LCD_DATA_TEMP
	mov temp, temp4			; 4.STELLE	
	rcall LCD_DATA_TEMP	
	mov temp, temp3			; 3.STELLE	
	rcall LCD_DATA_TEMP
	rcall LCD_KOMMA			; ","		
	mov temp, temp2			; 2.STELLE	
	rcall LCD_DATA_TEMP	
	mov temp, temp1			; 1.STELLE	
	rcall LCD_DATA_TEMP

	rcall LCD_SPACE
	ldi temp, 'H'
	rcall LCD_DATA_TEMP
	ldi temp, 'z'
	rcall LCD_DATA_TEMP

	rcall LCD_SPACE4
	LDS temp1,(adr_FREQUENZC_ZAEHLER)
	rcall ANZEIGE_3_STELLEN_TEMP1


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_TP_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_TA_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi temp,'M'
	rcall LCD_DATA_TEMP	
	ldi temp,'/'
	rcall LCD_DATA_TEMP
	ldi temp,'S'
	rcall LCD_DATA_TEMP
	rcall LCD_DOPPELPUNKT
	rcall ANZEIGE_MUSIK_SPRACHE_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_PTY_TEXT_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PI:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall ANZEIGE_PI_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_PI_ZIFFER1_TEXT_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_PI_ZIFFER3_TEXT_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_PI_ZIFFER4_TEXT_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_PI_ZIFFER2_TEXT_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_GESENDETE_GRUPPENTYPEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp1,'0'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+0)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'0'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+1)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'1'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+2)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'1'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+3)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'2'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+4)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'2'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+5)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'3'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+6)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'3'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+7)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP

	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp1,'4'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+8)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'4'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+9)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'5'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+10)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'5'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+11)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'6'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+12)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'6'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+13)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'7'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+14)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'7'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+15)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	; ZEILE3
	rcall LCD_ZEILE3
	ldi temp1,'8'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+16)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'8'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+17)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'9'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+18)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'9'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+19)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'a'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+20)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'a'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+21)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'b'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+22)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'b'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+23)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	; ZEILE4
	rcall LCD_ZEILE4
	ldi temp1,'c'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+24)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'c'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+25)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'d'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+26)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'d'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+27)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'e'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+28)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'e'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+29)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'f'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+30)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'f'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+31)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
ret
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP:
	tst temp
	breq ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO
	mov temp, temp1
	rcall LCD_DATA_TEMP
	mov temp, temp2
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO:
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE1:
	; ZAEHLER	
	STS(adr_RDS_ZAEHLER_AF),NULL
ANZEIGE_LISTE_AF_RUN:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE2:
	; ZEIGER	
	STS(adr_RDS_ZAEHLER_AF),NULL
	; 8xDUMMY	
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
rjmp ANZEIGE_LISTE_AF_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE3:
	; ZEIGER	
	STS(adr_RDS_ZAEHLER_AF),NULL
	; 16xDUMMY	
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
rjmp ANZEIGE_LISTE_AF_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_EDIT_BEEP:
	; TASTE MINUS gedrckt ?	
	rcall TASTE_MINUS_GEDRUECKT_CARRY
	BRCC ANZEIGE_EDIT_BEEP_NO_TASTE
	LDS temp,(adr_BEEP_OFF)
	com temp
	STS(adr_BEEP_OFF),temp
	; PORT umschalten		
	tst temp
	breq ANZEIGE_EDIT_BEEP_ON
ANZEIGE_EDIT_BEEP_OFF:
	cbi (BEEP_DDR) ,(BEEP_PIN_NR)				; EINGANG	
	rjmp ANZEIGE_EDIT_BEEP_NO_TASTE
ANZEIGE_EDIT_BEEP_ON:
	sbi (BEEP_DDR) ,(BEEP_PIN_NR)				; AUSGANG	
ANZEIGE_EDIT_BEEP_NO_TASTE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'B'
	rcall LCD_DATA_TEMP	
	ldi temp,'E'
	rcall LCD_DATA_TEMP	
	ldi temp,'E'
	rcall LCD_DATA_TEMP	
	ldi temp,'P'
	rcall LCD_DATA_TEMP	

	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp,(adr_BEEP_OFF)
	rjmp ANZEIGE_ON_OFF_KURZ_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_EDIT_LED:
	; TASTE MINUS gedrckt ?	
	rcall TASTE_MINUS_GEDRUECKT_CARRY
	BRCC ANZEIGE_EDIT_LED_NO_TASTE
	LDS temp,(adr_LED_OFF)
	com temp
	STS(adr_LED_OFF),temp
	; PORT umschalten		
	tst temp
	breq ANZEIGE_EDIT_LED_ON
ANZEIGE_EDIT_LED_OFF:
	cbi (LED_GRUEN_DDR),(LED_GRUEN_PIN_NR)		; auf EINGANG
	cbi (LED_GELB_DDR) ,(LED_GELB_PIN_NR)		; auf EINGANG
	cbi (LED_ROT_DDR)  ,(LED_ROT_PIN_NR)		; auf EINGANG
	rjmp ANZEIGE_EDIT_LED_NO_TASTE
ANZEIGE_EDIT_LED_ON:
	sbi (LED_GRUEN_DDR),(LED_GRUEN_PIN_NR)		; auf AUSGANG
	sbi (LED_GELB_DDR) ,(LED_GELB_PIN_NR)		; auf AUSGANG
	sbi (LED_ROT_DDR)  ,(LED_ROT_PIN_NR)		; auf AUSGANG
ANZEIGE_EDIT_LED_NO_TASTE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'L'
	rcall LCD_DATA_TEMP	
	ldi temp,'E'
	rcall LCD_DATA_TEMP	
	ldi temp,'D'
	rcall LCD_DATA_TEMP	
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp,(adr_LED_OFF)
	rjmp ANZEIGE_ON_OFF_KURZ_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_EDIT_RELAIS:
	; TASTE MINUS gedrckt ?	
	rcall TASTE_MINUS_GEDRUECKT_CARRY
	BRCC ANZEIGE_EDIT_RELAIS_NO_TASTE
	LDS temp,(adr_RELAIS_OFF)
	com temp
	STS(adr_RELAIS_OFF),temp
	; PORT umschalten		
	tst temp
	breq ANZEIGE_EDIT_RELAIS_ON
ANZEIGE_EDIT_RELAIS_OFF:
	cbi (RELAIS_DDR) ,(RELAIS_PIN_NR)				; EINGANG	
	rjmp ANZEIGE_EDIT_RELAIS_NO_TASTE
ANZEIGE_EDIT_RELAIS_ON:
	sbi (RELAIS_DDR) ,(RELAIS_PIN_NR)				; AUSGANG	
ANZEIGE_EDIT_RELAIS_NO_TASTE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'R'
	rcall LCD_DATA_TEMP	
	ldi temp,'E'
	rcall LCD_DATA_TEMP	
	ldi temp,'L'
	rcall LCD_DATA_TEMP	
	ldi temp,'A'
	rcall LCD_DATA_TEMP	
	ldi temp,'I'
	rcall LCD_DATA_TEMP	
	ldi temp,'S'
	rcall LCD_DATA_TEMP	
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp,(adr_RELAIS_OFF)
	rjmp ANZEIGE_ON_OFF_KURZ_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
